
void set_attr(struct image  *i, C char *attr, double val);

void set_attr(struct image  *i, C char *attr, C char *val);

char *get_attr(C struct image *i, C char *attr);

void normalize_proplist(proplist *p, C struct image *i);

void add_append_property(proplist *p, C char *a, C char *v, C char *c);


void gpkio_date_fix(proplist *p);

void gpkio_swaw(char *a, int nb);

void gpkio_swab_in_place(short *pp, int nb);

typedef short twobyte;
typedef int fourbyte;
